Subject: Re: 4.18.0-rc1-next-20180619 boot failed on beagle board x15

From: Stephen Rothwell <[email-masked]>
Date: Tue, 17 Jul 2018 18:00:28 +1000

Hi Tony,

On Mon, 16 Jul 2018 23:08:08 -0700 Tony Lindgren <[email-masked]> wrote:
>
> The following regression is still pending in next, see below.
> 
> * Samuel Morris <[email-masked]> [180702 13:35]:
> > On Mon, Jul 2, 2018 at 5:32 AM, Tony Lindgren <[email-masked]> wrote:  
> > > Hi,
> > >
> > > * Roger Quadros <[email-masked]> [180621 14:56]:  
> > >> On 21/06/18 17:31, Samuel Morris wrote:  
> > >> > On Thu, Jun 21, 2018 at 3:58 AM, Roger Quadros <[email-masked]> wrote:  
> > >> >> +Rafael
> > >> >>
> > >> >> On 20/06/18 18:30, Samuel Morris wrote:  
> > >> >>> On Wed, Jun 20, 2018 at 8:58 AM, Roger Quadros <[email-masked]> wrote:  
> > >> >>>> Tony,
> > >> >>>>
> > >> >>>> On 20/06/18 13:29, Tony Lindgren wrote:  
> > >> >>>>> Hi,
> > >> >>>>>
> > >> >>>>> * Naresh Kamboju <[email-masked]> [180620 05:55]:  
> > >> >>>>>> Linux next (4.18.0-rc1-next-20180619) boot failed on beagle board x15.  
> > >> >>>>>
> > >> >>>>> Bisect points to commit aece27a2f01b ("ata: ahci_platform: allow disabling of
> > >> >>>>> hotplug to save power").
> > >> >>>>>
> > >> >>>>> Reverting the patch makes things work again. Any ideas what
> > >> >>>>> might be going wrong here? Things clearly idle but then there
> > >> >>>>> seems to be some register access with clocks disabled.  
> > >
> > > So this issue is still happening as of next-20180702. Can you guys
> > > please revert the commit above while working on a better solution?  
> > 
> > That's fine with me. I'm not very familiar with the process here, does
> > this require anything on my end? And would that require the
> > accompanying patch to be reverted: "ata: ahci: rpm_put port on
> > port_stop to match rpm_get in port_start"? There shouldn't be any
> > problem leaving that one in, but I just want to know before submitting
> > my next patch set.  
> 
> Well usually the maintainer just reverts the regression causing
> patch in the related branch and that's it.
> 
> Stephen, can you please revert in next until we hear back from
> Tejun?

OK, I have reverted that commit from today.  Please let me know when the
problem is fixed in the libata tree ...

-- 
Cheers,
Stephen Rothwell